PitchTier: Get mean (curve)...

A query to the selected PitchTier object.

## Return value

the mean of the curve within a specified time window.

## Settings

From time (s)
To time (s)
  the time window, in seconds. Values outside this window are ignored. If To time is not greater than From time, the entire time domain of the tier is considered.

## Algorithm

The curve consists of a sequence of line segments. The contribution of the line segment from (t1, f1) to (t2, f2) to the area under the curve is

1/2 (f1 + f2) (t2 – t1)

The mean is the sum of these values divided by toTime – fromTime.

For a PitchTier that was created from a Pitch object, this command gives the same result as Get mean.... for the original Pitch object (but remember that the median, as available for Pitch objects, is more robust).

To get the mean of the pitch points, i.e. not weighted by the durations of the line pieces, Use PitchTier: Get mean (points)... instead.

### Links to this page

- PitchTier: Modify interval...